Skip to main content
POST
/
api
/
m1
/
abha
/
search
/
verify
/
otp
Verify OTP
curl --request POST \
  --url https://abdm.dev.unimetacare.com/api/m1/abha/search/verify/otp \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": [
    "abha-login",
    "abha-enrol"
  ],
  "txnId": "<string>",
  "otp": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "data": {
    "txnId": "<string>",
    "authResult": "<string>",
    "token": "<string>",
    "expiresIn": 123,
    "refreshToken": "<string>",
    "refreshExpiresIn": 123,
    "accounts": [
      {
        "ABHANumber": "<string>",
        "preferredAbhaAddress": "<string>",
        "name": "<string>",
        "gender": "<string>",
        "dob": "<string>",
        "status": "<string>",
        "profilePhoto": "<string>",
        "kycVerified": true,
        "mobileVerified": true
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

JWT token obtained from /api/m1/abha/token

Body

application/json
scope
string[]
required
Example:
["abha-login", "abha-enrol"]
txnId
string
required
otp
string
required
Example:

"<string>"

Response

OTP verified. Returns session tokens.

success
boolean
message
string
data
object